Subject: RE: [Sipping] sip-911, Preventing dialog termination

From: "Farahmand, Fardad" <[email-masked]>
Date: Thu, 28 Feb 2002 15:52:57 -0500

> -----Original Message-----
> From: Dean Willis [mailto:[email-masked]]
> Sent: Thursday, February 28, 2002 3:12 PM
> To: Farahmand, Fardad
> Subject: Re: [Sipping] sip-911, Preventing dialog termination
> 
> 
> Consider the case of "user dials 911, then pulls battery out 
> of phone"?
> 
> --
> Dean
> 

That's no different from PSTN unplugging the phone.

The point is that in E911, even if the phone is unplugged, the call stays up
(to the nearest switch).  Allowing the operator to keep the call ringing,
the police to trace the address, the ambulance to arrive at the door etc. 

The idea is that in case of SIP maybe the dialog should not be terminated up
to the nearest UA, stateful proxy or B2BUA which is E911 aware.     

This maybe more applicable in some cases such as when the UA is on a
SoftSwitch controlling the user's device.  This is probably less applicable
in other cases such as a softclient UA making a call through the internet.

> ----- Original Message -----
> From: "Farahmand, Fardad" <[email-masked]>
> To: "'Henning Schulzrinne'" <[email-masked]>; <[email-masked]>
> Sent: Thursday, February 28, 2002 12:43 PM
> Subject: [Sipping] sip-911, Preventing dialog termination
> 
> 
> >
> > In draft-schulzrinne-sip-911-01 there is a brief mention of 
> some existing
> > E911 features for disabling call-waiting, three-party-calls and not
> allowing
> > the caller to hang up the call during an E911 call.  But 
> the document has
> no
> > recommendation of how to do this with SIP.
> > In particular, consider the scenario where someone calls an 
> emergency
> number
> > and then hangs up.  In PSTN E911 case, the operator is 
> notified that the
> > caller has hung up but the call is not released.  The 
> operator has the
> > option of (1) initiate a request by which the caller's device starts
> ringing
> > or (2) release the call.
> > Is there any plan to cover recommendations for this feature 
> in this (or
> > another) draft?
> > Thanks,
> > Fardad Farahmand
> >
> >
> >
> >
> > _______________________________________________
> > Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> > This list is for NEW development of the application of SIP
> > Use [email-masked] for questions on current sip
> > Use [email-masked] for new developments of core SIP
> >
> >
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Henning Schulzrinne <[email-masked]>
Date: Thu, 28 Feb 2002 19:30:31 -0500

I should point out that I had a discussion on this topic with some folks
in the (U.S.) 911 community. Opinions diverged - some claimed that
switches restricted services, while other disagreed, saying (e.g.,) that
this might have been done in the past, but was no longer feasible with
modern switches. It appears that this may well be dependent on the LEC
and maybe the particulars of the local CO. Apparently, you get some
really strange results when three-way calling gets involved, with two
911 operators on the line.

As long as the PSAP has a reliable call-back address, even midcall
disconnects are not that big a deal. As Dean hints at, that's about the
best you can do for mobiles in any event. Here are some quotes:

"I can't speak for Call Transfer however Call Waiting and Three Way
Calling are still available to the 9-1-1 caller.  At least it is here
in a DMS environment."

"From my experience, most switches (5ESS, DMX-100, and GTD5EAX) disable
custom calling features for the entire call when calling to N11 services
in a manner similar to when they are establishing a call to another   
number.  In other words, the switch deals with the 911 call like when
you are listening to a ringing signal (i.e.  no call waiting, no call
transfer, no 3-way calling, etc.).

ANSI T1S1 is the standards group that is responsible for the PSTN
signaling 
standards for the US and Canada. T1S1.7 is specifcally tasked with the
architecture, services and signaling. ANSI T1.628-2000 and ANSI
T1.628a-2001
seem to be the governing ANSI documents relating to ECS (Emergency
Calling
Services). You might look there."

I don't have access to the documents.